Veuillez patienter...
/
https://forum.claroline.net/
/
/themes/claroline/bootstrap.css?v=373695b0789add75084adaa2e947337f
fr_FR
Vous utilisez un navigateur non pris en charge. Pour éviter tout fonctionnement indésirable, veuillez utiliser une version récente d'un navigateur majeur. (http://browsehappy.com). Internet Explorer est supporté à partir de la version 11.

[Sujet] Version 16.09

Messages par page
Auteur Messages

29/08/2017 08:35

Bonjour Nicolas,

Dans l'effervescence du moment, j'ose poser la question : la date de mise à disposition de la version 16.09 est-elle fixée ?

Il y a 1 an


29/08/2017 08:35

Pas que je sache, fin du mois.

Il y a 1 an


29/08/2017 08:35

et comme nous sommes le 06/10 j'ose poser la question : fin de quel mois ?

Il y a 1 an


29/08/2017 08:35

Septembre.

Bon, concrètement ça aura 2 semaines de retard donc fin de semaine.

Il y a 1 an


29/08/2017 08:35

Bonne nouvelle, surtout si nous pouvons facilement mettre à jour la plateforme actuelle 16.05...

Il y a 1 an


29/08/2017 08:35

Bonne nouvelle, surtout si nous pouvons facilement mettre à jour la plateforme actuelle 16.05...

Il y a 1 an


29/08/2017 08:35

Bonne nouvelle, surtout si nous pouvons facilement mettre à jour la plateforme actuelle 16.05...

Il y a 1 an


29/08/2017 08:35

Bonne nouvelle, surtout si nous pouvons facilement mettre à jour la plateforme actuelle 16.05...

Il y a 1 an


29/08/2017 08:35

Quelqu'un a remarqué que depuis 2j la 1609 c'etait glissée dans la liste des releases. ?
Y a t'il une manipulation speciale pour mettre a jour via commande sur serveur une 16.05 vers 16.09 ?
Pour ma part la procédure de mise à jour n'a pas fonctionné...

Merci

Il y a 1 an


29/08/2017 08:35

Bonjour,

Oui, il faut modifier le composer.json du projet et lancer la liste de commandes permettant de le faire. Si vous avez installé avec git c'est plus simple.

Dans ce cas il suffit d'aller à la racine du projet:

git checkout master
git pull origin master
composer sync

Il y a 1 an


29/08/2017 08:35

Bonjour, merci pour vos explications cependant, je n'arrive toujours pas à mettre à jour notre version (non développement) vers la 8.0
A l’exécution de 'git checkout master', il me retourne l'erreur suivante.

-------------------------------
git checkout master
error: Your local changes to the following files would be overwritten by checkout:
        composer.lock
Please, commit your changes or stash them before you can switch branches.
Aborting
--------------------------------

En allant plus loin dans les commandes de mise à jour malgré ces erreurs et à l’exécution de composer sync
la mise à jour se termine avec :

  [Twig_Error_Syntax]
  An exception has been thrown during the compilation of a template ("Node "parent" does not exist for Node "Twig_Node_Module".") in "Resources/views/Resource/breadcrumbs.html.twigjs".

  [LogicException]
  Node "parent" does not exist for Node "Twig_Node_Module".

claroline:update

Script php app/console claroline:update --env=prod handling the sync event returned with an error

  [RuntimeException]
  Error Output: PHP Warning:  imagecreatefrompng(/var/www/claroline/app/../web/bundles/clarolinecore/images/resources/icons/res_archive.png): failed to open stream: No such file or directory in /
  var/www/claroline/vendor/claroline/distribution/main/core/Library/Utilities/ThumbnailCreator.php on line 175
  PHP Warning:  imagesavealpha() expects parameter 1 to be resource, boolean given in /var/www/claroline/vendor/claroline/distribution/main/core/Library/Utilities/ThumbnailCreator.php on line 182
  PHP Warning:  imagesy() expects parameter 1 to be resource, boolean given in /var/www/claroline/vendor/claroline/distribution/main/core/Library/Utilities/ThumbnailCreator.php on line 183
  PHP Warning:  imagecopy() expects parameter 1 to be resource, boolean given in /var/www/claroline/vendor/claroline/distribution/main/core/Library/Utilities/ThumbnailCreator.php on line 183
  PHP Warning:  imagepng() expects parameter 1 to be resource, boolean given in /var/www/claroline/vendor/claroline/distribution/main/core/Library/Utilities/ThumbnailCreator.php on line 191
  PHP Warning:  imagedestroy() expects parameter 1 to be resource, boolean given in /var/www/claroline/vendor/claroline/distribution/main/core/Library/Utilities/ThumbnailCreator.php on line 192
  PHP Warning:  imagecreatefrompng(/var/www/claroline/app/../web/bundles/clarolinecore/images/resources/icons/res_archive.png): failed to open stream: No such file or directory in /var/www/clarol
  ine/vendor/claroline/distribution/main/core/Library/Utilities/ThumbnailCreator.php on line 175
  PHP Warning:  imagesavealpha() expects parameter 1 to be resource, boolean given in /var/www/claroline/vendor/claroline/distribution/main/core/Library/Utilities/ThumbnailCreator.php on line 182
  PHP Warning:  imagesy() expects parameter 1 to be resource, boolean given in /var/www/claroline/vendor/claroline/distribution/main/core/Library/Utilities/ThumbnailCreator.php on line 183
  PHP Warning:  imagecopy() expects parameter 1 to be resource, boolean given in /var/www/claroline/vendor/claroline/distribution/main/core/Library/Utilities/ThumbnailCreator.php on line 183
  PHP Warning:  imagepng() expects parameter 1 to be resource, boolean given in /var/www/claroline/vendor/claroline/distribution/main/core/Library/Utilities/ThumbnailCreator.php on line 191
  PHP Warning:  imagedestroy() expects parameter 1 to be resource, boolean given in /var/www/claroline/vendor/claroline/distribution/main/core/Library/Utilities/ThumbnailCreator.php on line 192

    [Twig_Error_Syntax]
    An exception has been thrown during the compilation of a template ("Node "parent" does not exist for Node "Twig_Node_Module".") in "Resources/views/Resource/breadcrumbs.html.twigjs".

    [LogicException]
    Node "parent" does not exist for Node "Twig_Node_Module".

  claroline:update

Pourriez-vous m'aiguiller sur la marche à suivre ou me donner mon erreur svp...
Je rappelle que j'ai testé cette mise à jour sur un serveur en local avant de pouvoir l’exécuter proprement et surement sur notre serveur de production.
Si vous avez besoin de d'avantage d'explication n'hesitez pas à me soliciter.

Merci beaucoup

Il y a 1 an


29/08/2017 08:35

Dans ce cas il faut précéder la liste des commandes par un "git checkout .".

Donc

git checkout .
git checkout master
git pull origin mastercomposer sync

Et là, vous êtes sur le master de claroline (mais si vous avez lu les messages vous avez pu voir qu'il y avait une erreur avec le bandeau qui permet d'informer les utilisateurs qu'ils possèdent un navigateur trop ancien).

Il y a 1 an


29/08/2017 08:35

Bonjour,

Pour une nouvelle installation de la V16.09 , j'ai lancé les commandes suivantes :

  • git clone http://github.com/claroline/Claroline
  • cd Claroline
  • php scripts/configure.php
  • composer sync-dev

 

l'installation bloque à un moment donné dans le Terminal :

├── wrap-ansi@2.0.0
├── wrappy@1.0.2
├── write@0.2.1
├── ws@1.1.1
├── wtf-8@1.0.0
├── xmlhttprequest-ssl@1.5.1
├── xtend@4.0.1
├── y18n@3.2.1
├─┬ yargs@3.31.0
│ └── camelcase@2.1.1
├─┬ yargs-parser@2.4.1
│ ├── camelcase@3.0.0
│ └── lodash.assign@4.2.0
├── yauzl@2.4.1
└── yeast@0.1.2

npm WARN optional Skipping failed optional dependency /chokidar/fsevents:
npm WARN notsup Not compatible with your operating system or architecture: fsevents@1.0.14
npm WARN claroline@1.0.0 No repository field.
npm WARN claroline@1.0.0 No license field.
> npm run bower

> claroline@1.0.0 bower /home/ixxxxxxxx/yyyyy.fr/Claroline
> node_modules/bower/bin/bower update --allow-root

bower claroline-core#*      not-cached ./vendor/claroline/distribution#*
bower claroline-core#*         resolve ./vendor/claroline/distribution#*

Merci de m'apporter vos lumières...

Il y a 1 an


29/08/2017 08:35

Merci beaucoup, j'ai compris mon erreur.
J'ai pu mettre a jour en local Claroline en version dev.
Notre version de production n'est pas la dev-master, est-il préférable d'installer cette dernière?

Cordialement.

Il y a 1 an


29/08/2017 08:35

Bower est assez long à charger les dépendances la première fois.

Il y a 1 an


29/08/2017 08:35

Posté par Nicolas Godfraind le 18/10/2016 17:43:43

Dans ce cas il faut précéder la liste des commandes par un "git checkout .".

Donc

git checkout .
git checkout master
git pull origin mastercomposer sync

Et là, vous êtes sur le master de claroline (mais si vous avez lu les messages vous avez pu voir qu'il y avait une erreur avec le bandeau qui permet d'informer les utilisateurs qu'ils possèdent un navigateur trop ancien).

Réponse: j'ai un problème de branches après  git checkout master :

*******@kilo [~/lms.*********.fr/claroline-16.05]# git checkout
D    app/cache/.gitkeep
M    app/config/ip_white_list.yml
M    composer.json
M    web/.htaccess
*******@kilo [~/lms.*********.fr/claroline-16.05]# git checkout master
error: You have local changes to 'composer.json'; cannot switch branches.

Il y a 1 an


29/08/2017 08:35

Bonjour Gregory
Mon erreur venait du : git checkout .  (le "." est important..)
En espérant vous avoir aidé.

Il y a 1 an


29/08/2017 08:35

Posté par Matthias LICATA le 22/10/2016 15:21:43

Bonjour Gregory
Mon erreur venait du : git checkout .  (le "." est important..)
En espérant vous avoir aidé.

Réponse: Merci je réessaie...

Il y a 1 an